Package Details: nautilus-dropbox 2015.10.28-1

Git Clone URL: https://aur.archlinux.org/nautilus-dropbox.git (read-only)
Package Base: nautilus-dropbox
Description: Dropbox for Linux - Nautilus extension
Upstream URL: https://www.dropbox.com/
Licenses: GPL, custom:CC-BY-ND-3
Submitter: None
Maintainer: vlad
Last Packager: vlad
Votes: 551
Popularity: 2.602478
First Submitted: 2008-09-05 06:47
Last Updated: 2016-06-25 21:57

Latest Comments

vlad commented on 2016-06-25 21:57

Thanks for notice.

rafaelff commented on 2016-06-22 12:44

@Vlda, running "gtk-update-icon-cache" in install file is no longer needed as pacman's hooks take care of the task. Also, pkg-config is unnecessary in makedepends, as stated by nTia89.

nTia89 commented on 2016-05-20 08:51

please remove `pkg-config` as dependency,
since packages included in the `base-devel` group (like the abovementioned one) must not be included in the array!
source: archwiki

cgueret commented on 2015-01-09 14:45

Updated to 2.10

cgueret commented on 2014-05-21 12:04

Added 'pkg-config' in the dependencies and updated to 1.6.2 , thanks @justin8 and @wbober for the notifications

justin8 commented on 2014-05-18 05:02

FYI, there is a missing dependency for pkg-config.

rafaelff commented on 2013-10-13 19:38

Because it is. Adopt it if you have time to maintain it.

osmank3 commented on 2013-10-13 19:31

Why this package seems orphaned?

rafaelff commented on 2013-06-18 15:03

@rikmer: This concerns 'dropbox', and not 'nautilus-dropbox'.

rikmer commented on 2013-06-18 14:43

nautilus 3.8.2-1, nautilus-dropbox 1.6.0-1, dropbox 2.2.3-1

After following https://wiki.archlinux.org/index.php/Dropbox#Run_as_daemon_with_systemd and starting dropbox via "sudo systemctl start dropbox@<user>" everything works as expected.
The icon shows in nautilus and in the system tray.

BUT if the service is enabled via "sudo systemctl enable dropbox@<user>" only the icon in nautilus appears after a boot. The system tray is empty.

rafaelff commented on 2013-04-30 01:02

@cedric: It is already in makedepends, as it is only needed while building the package.

cedricmc commented on 2013-04-29 09:28

python2-docutils should be included as a dependency.

rafaelff commented on 2013-04-07 20:05

@donniezazen: this package is a integration between nautilus and dropbox. I suggest that you try asking for help in 'dropbox' package, or verify/uninstalling any GNOME git or unstable packages that you might have installed.

donniezazen commented on 2013-04-07 04:27

Dropbox is crashing on my system running Gnome 3.6. I am not sure I think it keeps running in background but without system tray. I have to first killall dropbox and then start from menus.

Anonymous comment on 2013-01-21 06:26

Thank you, @josephgbr.

rafaelff commented on 2013-01-18 12:09

@fantab: I was not able to reproduce your problem. Actually, it doesn't seem to be a problem - nautilus is working fine, right? And latest nautilus-dropbox version is the one you see in here.

@koljan.818: Sorry but I don't know. I think the best is to ask this in the Dropbox forums, so you can get answer from the dropbox staff.

Anonymous comment on 2013-01-17 10:06

Hi, everyone!

First of all, Thank you for your work!

I have a small issue with this plugin. My dropbox folder is on external hard drive. And every time I boot in Arch I have a message that my Dropbox folder is missing. I think that it is because nautilus-plugin starts earlier than nautilus mount my external drive. So how can I dynamically at boot determine that external hdd is present and mount it?
I think fstab is not the right thing because it outputs a warning if disk is not present.

Thank you very much.

fantab commented on 2013-01-08 17:57

I have a niggle after installing. It is similar to nickread describes below. Here
s what happens:
$ nautilus
Initializing nautilus-dropbox 1.4.0
(nautilus opens and when I close the window)
Shutting down dropbox extension

nautilus -q
Initializing nautilus-dropbox 1.4.0
Shutting down dropbox extension

$ pacman -Qo /usr/bin/nautilus
/usr/bin/nautilus is owned by nautilus 3.6.3-1

Also nautilus-dropbox 1.4.0-3 is out I think.

rafaelff commented on 2012-11-23 00:29

@EvertP: something is messed up in there. You have 'nautilus' package for sure, so pkg-config should have found /usr/lib/pkgconfig/libnautilus-extension.pc and extracted the extensiondir from there.

EvertVP commented on 2012-11-22 18:25

Got an error: http://pastebin.com/pph8peaw

rafaelff commented on 2012-10-20 16:36

@sigo: Can you please try rebuilding again, and then provide in a pastebin the content of your "config.log" file (which can be found in nautilus-dropbox-1.4.0 after you tried to build it) ?

sigo commented on 2012-10-20 16:09

I have an error during the build.
http://pastebin.com/BGBdAwJ3

rafaelff commented on 2012-06-10 16:13

@westmin: Sweet! I rather use a direct link than a redirection. Thanks.

Updated to 1.4.0-2

westmin commented on 2012-06-10 16:03

GFW of China blocks the http link to dropbox.

The sources HTTPS link to "https://www.dropbox.com/download?dl=packages/nautilus-dropbox-1.4.0.tar.bz2" actually will be redirected to HTTP link to "http://linux.dropbox.com/packages/nautilus-dropbox-1.4.0.tar.bz2".

However in some countries like China the Great Firewall will block the HTTP links of dropbox but the HTTPS links,so the HTTPS link to "https://linux.dropbox.com/packages/nautilus-dropbox-1.4.0.tar.bz2" still work.

To make it working,just do a little job to the PKGBUILD file by changing the line:

source=("https://www.dropbox.com/download?dl=packages/${pkgname}-${pkgver}.tar.bz2")

to

source=("https://linux.dropbox.com/packages/${pkgname}-${pkgver}.tar.bz2")

nickread commented on 2012-04-30 03:35

Whoops! Ignore what I've written - just tracked it down to the nautilus-share package which is really out of date.

> $$ ldd libnautilus-share.so | grep libpng
> libpng14.so.14 => not found
> libpng15.so.15 => /usr/lib/libpng15.so.15 (0x00007feaaadca000)

Never noticed the error since I installed it.

rafaelff commented on 2012-04-30 03:33

@nickread: also run

$ pacman -Qo /usr/bin/nautilus

rafaelff commented on 2012-04-30 03:33

@nickread: also run

$ yaourt -Qo /usr/bin/nautilus

rafaelff commented on 2012-04-30 03:32

@nickread: please run the following command and let me know the output

$ ldd /usr/bin/nautilus | grep png

nickread commented on 2012-04-30 03:28

Build isn't an issue - error at runtime when restarting Nautilus is:

> $$ nautilus -q
> ** (nautilus:24505): WARNING **: libpng14.so.14: cannot open shared object file: No such file or directory
> Initializing nautilus-dropbox 1.4.0
> Shutting down dropbox extension

Installing the libpng14 AUR package fixes it. That said, I'm not sure why it needs it since it should resolve to v1.5:

> $$ ldd /usr/lib/nautilus/extensions-3.0/libnautilus-dropbox.so | grep png
> libpng15.so.15 => /usr/lib/libpng15.so.15 (0x00007fde4026e000)

Actually, I might test this to see if the extension is starting correctly anyway - I just noticed above that it still goes on to say "initializing..." regardless.

rafaelff commented on 2012-04-30 03:06

@nickread: Why? Can you please provide your build log showing error message you get? (e.g. in pastebin.com)

nickread commented on 2012-04-30 03:01

libpng14 needs to be added as a dependency

rafaelff commented on 2012-04-28 16:08

@eKoeS: pacakges from 'base-devel' group shouldn't are assumed to be installed (read ArchWiki AUR)

eKoeS commented on 2012-04-28 11:51

I think `pkgconfig` should be added to the makedepends, otherwise compilation fails.

rafaelff commented on 2012-04-04 21:35

You shouldn't run dropboxd. When you run 'dropbox', a systray icon will appear: this means dropbox is already running.

To create account, you can create online and then link your computer, or you can click on the dropbox systray icon and create an account (don't remember specific options at the moment)

teek commented on 2012-04-04 21:08

Hmm.. "yaourt -S dropbox nautilus-dropbox" nothing... when I "$ dropboxd" I get:

"Another instance of Dropbox (1427) is running!"

Strangely I don't get that login credentials popup I was expecting. What am I missing?

Thanx.

rafaelff commented on 2012-03-26 00:01

@centoventicinque: I can't figure out what problem you're having when you try to build it. Please elaborate more your comment, preferable providing build's output message in, for example, http://pastebin.com

Anonymous comment on 2012-03-25 20:58

actually doesn't work...

rafaelff commented on 2011-12-03 14:26

Updated to 0.7.1

rafaelff commented on 2011-11-22 01:37

@redstar3894: 0.7.0 is the currently newer version of nautilus-dropbox, as you can see in http://www.dropbox.com/help/247. Please do not confuse this package with dropbox 1.2.48

rafaelff commented on 2011-11-09 19:16

Thanks, updated.

wombalton commented on 2011-11-09 09:13

Dropbox 1.2.48 is stable now. You may upgrade this package.

rafaelff commented on 2011-10-26 23:54

Since version 0.7.0 requires Dropbox 1.2.45, which doesn't seem to be a "stable" release, I'll hold on the update until package dropbox is updated.

jemadux commented on 2011-10-25 20:46

for me now out-flaged working fine ...

rafaelff commented on 2011-08-18 16:49

updated to 0.6.9-1

rafaelff commented on 2011-08-18 16:46

@krnekhelesh - doctutils is not needed after nautilus-dropbox is installed. So it is not a dependency, but a make-dependency. See PKGBUILD archwiki to see the difference.

Anonymous comment on 2011-08-04 07:55

I can confirm that nautilus-dropbox 0.6.8-1 works properly on Nautilus 3.0.2. Although, docutils needs to be added as a dependency.

rafaelff commented on 2011-07-29 04:55

Adopted, updated to 0.6.8-1 and added ChangeLog (see Tarball)

Gordin commented on 2011-07-27 16:31

I would adopt, but the package does not build because of some error with docutils. (0.6.7 and 0.6.8) Am I the only one who has this problem or is docutils broken? (building 0.6.7 worked for me a few weeks ago)

Anonymous comment on 2011-07-27 15:57

Unknown47 please adopt the package :D

Anonymous comment on 2011-07-12 03:40

Tested and working with nautilus 3.0.2 and gnome 3.
If you get any error when doing makepkg use "makepkg -s --skipinteg" as mentioned below.

Unknown47 commented on 2011-07-03 13:06

I have updated the PKGBUILD to 0.6.8

http://pastebin.com/HxK2Ag5R

Bevan commented on 2011-06-30 22:03

@ilius: It is flagged out of date as ver. 0.6.8 is out.
Changelog sais that it should now work width Fedora 15, so maybe it works with nautilus 3 now.

ilius commented on 2011-06-27 09:30

Why this package is flagged as out of date? While package nautilus2-dropbox if for nautilus2, should this package be for nautilus3? If not, how to install dropbox plugin for nautilus3?

brunelli commented on 2011-06-25 14:08

Hello! If you are having problems to compile the package with "makepkg", try to insert the parameter "--skipinteg" with the command (makepkg --skipinteg).
The parameter "--skipinteg" will compile the package without showing failure of autentication.
It works here (Gnome 3) :D

Anonymous comment on 2011-06-10 01:59

Change md5sum for this one: 07336fd31d675fc24d2a35e1bf67f303 --> nautilus-dropbox-0.6.7.tar.bz2

It works in Gnome 3!!!

adrianx commented on 2011-05-21 11:26

Some of the comments below lead me to believe that this package doesn't work with Gnome 3, but it does! (After changing the md5sum, that is.)

Anonymous comment on 2011-05-13 20:45

Please update the md5sum: 089a2fb168ba62176d6e35c41b7d6831

rafaelff commented on 2011-05-12 17:50

It could be wrong, but namcap returns the follwing messages about this package:

nautilus-dropbox W: Directory (usr/bin) is empty
nautilus-dropbox W: File (usr/lib/nautilus/extensions-2.0/libnautilus-dropbox.la) is a libtool file
nautilus-dropbox E: Missing custom license directory (usr/share/licenses/nautilus-dropbox)
nautilus-dropbox W: Dependency gtk2 included but already satisfied
nautilus-dropbox W: Dependency libnotify included but already satisfied

Related to the libtool message, you can add "!libtool" to options=()

liganic commented on 2011-05-11 13:08

@daimon00 The package compiles correctly. (although with md5sums=('089a2fb168ba62176d6e35c41b7d6831') as the others noted)

Anonymous comment on 2011-05-05 09:30

Have this issue: /tmp/yaourt-tmp-damian/aur-nautilus-dropbox/./PKGBUILD: line 34: ./configure: Access denied

letroll commented on 2011-04-26 13:10

just change the md5sum with 089a2fb168ba62176d6e35c41b7d6831

Anonymous comment on 2011-04-26 11:09

Wrong md5sum. The correct is 089a2fb168ba62176d6e35c41b7d6831

desperat commented on 2011-04-25 19:37

Wrong md5 please correct

Anonymous comment on 2011-04-21 14:39

@cannuckat, gnome2 is going to be replaced by gnome3 soon, it will hit extra probably at the end of the month, so either you update and go for gnome3, or you change you desktop, so my comment wasn't for a change now, because I know it hasn't hit extra yet, but it was for the next months when everybody who continue in gnome has it and face this issue

Anonymous comment on 2011-04-19 17:51

Correctm caseyjp1. Thanks.

caseyjp1 commented on 2011-04-19 15:12

This is needed to build: MD5 '089a2fb168ba62176d6e35c41b7d6831'

Raymondcal commented on 2011-04-18 09:54

@jmuwill : thx.

canuckkat commented on 2011-04-16 20:44

And I'm talking about right now, not when it's official :P

canuckkat commented on 2011-04-16 20:40

@mann138 what if we don't want to switch to gnome3 (personally I hate the changes). you can't force everyone to switch over to it.

Anonymous comment on 2011-04-16 15:53

This version is not currently working with my gnome3 =(, should be updated, remember that gnome3 will hit extra soon, and goodbye gnome2 for everyone...

Anonymous comment on 2011-04-13 17:13

http://pastebin.com/xVQmLU9a

Used this PKGBUILD to install latest version with no problems.

Changes:
1. Updated MD5
2. Removed 'dropbox' depends.
3. Commented out last 3 rm / rmdir commands so I can have dropbox icons in the menu.

Tested successfully on AMD64 in Gnome.

Anonymous comment on 2011-04-07 03:42

md5sum for given source tarball 'nautilus-dropbox-0.6.7.tar.bz2' doesn't match; current md5sum is '089a2fb168ba62176d6e35c41b7d6831'.

Anonymous comment on 2011-04-05 10:33

The checksum for 0.6.7-1 (http://linux.dropbox.com/packages/nautilus-dropbox-0.6.7-1.tar.bz2) is 089a2fb168ba62176d6e35c41b7d6831

axil42 commented on 2010-12-05 11:42

@exception
The md5 is e1c3eaa37b04d6e7b2bedab9b92975d4 ;)

axil42 commented on 2010-12-05 11:42

@exception
The md5 is e1c3eaa37b04d6e7b2bedab9b92975d4 ;)

Anonymous comment on 2010-11-28 02:07

Hi! I've used this PKGBUILD to install the version 0.6.7 without problem:
http://aur.pastebin.com/YxDpYLAB

File: nautilus-dropbox-0.6.7.tar.bz2
MD5: 300efa0f1c8d9e120d3bd660db6ea116
URL: http://www.dropbox.com/download?dl=packages/nautilus-dropbox-0.6.7.tar.bz2

Anonymous comment on 2010-11-23 01:03

And python2 should be added as a dependency as it doesn't belong to either base or base-devel groups.

Anonymous comment on 2010-11-23 01:00

Hi, 0.6.7 is out: https://www.dropbox.com/download?dl=packages/nautilus-dropbox-0.6.7.tar.bz2

Gordin commented on 2010-10-28 21:02

I didn't know that the cli was there until i fixed the PKGBUILD for python... I agree with Liquen, this Package doesn't need the cli, it's for GUI stuff after all and there's dropbox-cli if you need the cli.

Liquen commented on 2010-10-28 20:59

Thank you cmorlok. Yep, I do use the CLI. But since there is already this AUR package "dropbox-cli", I suggest you to remove the CLI from nautilus-dropbox. Keeping them separate makes more sense (they are independent after all). What do you think?

Anonymous comment on 2010-10-28 18:32

Sorry for being that late. Updated to the newest version.

I saw that there are some improvements in the CLI, I'll add them in the next days. Does anyone uses this script?

Gordin commented on 2010-10-27 05:17

updated for 0.6.6: http://aur.pastebin.com/1Mw3FvjC

Anonymous comment on 2010-10-27 04:08

sorry, 0.6.6 just became available.

Anonymous comment on 2010-10-26 23:44

A 0.6.5 version is now available...would be great if someone could update this.

Mektub commented on 2010-10-26 12:47

Thanks Gordin.

Mektub

Liquen commented on 2010-10-20 14:02

Thank you Gordin, it works perfectly.

Gordin commented on 2010-10-19 06:53

@jpaechnatz use my fixed PKGBUILD: http:// aur.pastebin.com/JLnG7Wcf

@cmorlok plz update the PKGBUILD...

jpaechnatz commented on 2010-10-19 06:44

makepkg -sc fails:

checking for python... /usr/bin/python
checking for pygtk... no
configure: error: couldn't find pygtk
Breche ab ...
[joh@archlx-joh nautilus-dropbox]$ pacman -Q|grep pygtk
pygtk 2.22.0-3
pygtksourceview2 2.10.1-3

Gordin commented on 2010-10-14 14:51

fixed for Testing repo: http://aur.pastebin.com/JLnG7Wcf

Gordin commented on 2010-10-11 23:13

fixed for Testing repo here! (and ONLY for TESTING!, python changed to python2, etc.)
http://aur.pastebin.com/JLnG7Wcf

Anonymous comment on 2010-09-24 21:28

I don't get this plugin. I depends on the dropbox package, yet it provides its own dropbox-executable?

error: failed to commit transaction (conflicting files)
nautilus-dropbox: /usr/bin/dropbox exists in filesystem

How should this be installed?

Anonymous comment on 2010-07-20 23:15

Emblems seem to break when docutils is removed, might want to make that a real dependency. I might just be dumb though, haha.

Nebulosa commented on 2010-07-10 08:22

Nautilus-Dropbox 0.6.3

* Remove useless notify dependency.

fix pls PKGBUILD..

Anonymous comment on 2010-07-08 13:10

Updated to 0.6.3

Anonymous comment on 2010-06-22 18:16

docutils is a build dependency.

Anonymous comment on 2010-06-17 12:30

Its not a stable release and can contain bugs!

KaoDome commented on 2010-06-15 11:20

0.6.3 is out: http://forums.dropbox.com/topic.php?id=21111

Anonymous comment on 2010-06-06 10:40

installed succesfully on x86_64

Anonymous comment on 2010-04-21 14:23

I've added pygtk as dependency, nothing else changed.

Anonymous comment on 2010-04-20 10:48

@escoand: did the installation of pygtk fix the issue?

Anonymous comment on 2010-04-19 23:47

tried to build for x86_64:

checking for pygtk... no
configure: error: couldn't find pygtk
==> ERROR: Build Failed.

Anonymous comment on 2010-04-11 14:13

Updated to 0.6.2

BTW: Is there any way to see the old comments? Or are they gone forever?

Anonymous comment on 2010-04-10 09:49

Could you please update the PKGBUILD?

Anonymous comment on 2010-03-25 21:16

Nautilus-Dropbox 0.6.2:

http://forums.dropbox.com/topic.php?id=18389